def construct_shell_thickness(mesh,info):
  from Utilitai.partition import *
  #import numpy

  meshCA   = MAIL_PY()
  meshCA.FromAster(mesh);
  nonu     = meshCA.dime_maillage[0]
  elnu     = meshCA.dime_maillage[2]
  ncoord   = meshCA.cn
  connect  = meshCA.co
  NodeList = list(meshCA.correspondance_noeuds)
  ElemList = list(meshCA.correspondance_mailles)
  ElemType = list(meshCA.tm)

  print meshCA

  if info:
    print ['info set to %d - print some information.',info]
    print 'number of nodes in group: ',nonu
    print 'number of elements in group: ',elnu
    print 'node list: ',NodeList
    print 'element list: ',ElemList
    print 'element type list: ',ElemType

  # need to count number of shell elements (16: coque_3d) to initialise 'thickness list'
  shellcount = 0
  for ii in xrange(len(ElemList)):
    print ElemType[ii]
    if ElemType[ii]==16:  # select shell (coque_3d) elements
      #print connect[ii]
      shellcount +=1

  ThicknessGroupShell=[]
  thickness = [None]*shellcount
  shellcount = 0
  for ii in xrange(len(ElemList)):
     print 'elementtype: ',ii,ElemType[ii]
     if ElemType[ii]==16:  # select shell coque_3d elements 14:quad8, 16:quad9
      if info:
        print 'elementype: ',ElemType[ii]
      sumxyz = [0.0, 0.0, 0.0]
      ncount = len(connect[ii])    # should be 9 for coque_3d (elementType 16)
      for jj in xrange(0,ncount):
        Gnode = connect[ii][jj]    # globalnode = connect[elemii,internal_nodejj]
        sumxyz += ncoord[Gnode]    # this might be written more compact --> for later

      sumxyz /=ncount
      # define your own code for thickness here 
      # thickness now depends on average y coordinate only
      thickness[shellcount] = sumxyz[1]*0.1+0.01  # make thickness depent on y coordinate
      tempth = thickness[shellcount]
      shellcount +=1
      #print 'average xyz - centre point: ',sumxyz,ncoord[Gnode]  #centre point is same average nodes
      ThicknessGroupShell.append({'EPAIS':tempth,'MAILLE':'M%d'%(ii+1)});  ## add 1 for element number Mxx

  if info:
    print 'thicknessGroupShell: ',ThicknessGroupShell

  return ThicknessGroupShell

